/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifndef lint
static char rcsid[]="$Id: dat.c,v 4.13 2006/12/22 14:28:57 erik Rel $";
#endif
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/param.h>
#include "monitor/debug.h"
#include "ui/resource.h"
#include "machine/machine.h"
#include "util.h"
#include "ui/ui.h"
#include "fileio/dat.h"
#ifdef DEBUG
#define DEB(x)	{ if ((CFGGET(debug) & D_SNAP) != 0) { x } }
#else
#define DEB(x)
#endif
int DatReadLevel(const char*filename,unsigned int level,unsigned int addr){int types[2]={FILE_TYPE_DAT,FILE_TYPE_END};FILE*fp;char name[MAXPATHLEN],*ptr;int ch;(void)strcpy(name,filename);if((ptr=strrchr(name,'.'))==(char*)0){ptr=name+strlen(name);}(void)sprintf(ptr,"%u.dat",level);if((fp=Fopen(name,"rb"))==(FILE*)0){(void)sprintf(ptr,"%u.DAT",level);if((fp=Fopen(name,"rb"))==(FILE*)0){if((ptr=UiFileSelector("Load Level",1,types))!=(char*)0){(void)strcpy(name,ptr);fp=Fopen(ptr,"rb");free(ptr);}if(ptr==(char*)0||fp==(FILE*)0){Msg(M_WARN,"couldn't find level <%s>",name);return-1;}}}DEB(Msg(M_DEBUG,"reading overlay <%s> at address <%04x>",name,addr););while(addr<65536){if((ch=fgetc(fp))==EOF){break;}MEM(addr)=(uns8)ch;addr++;}(void)fclose(fp);return 0;}
