/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifndef lint
static char rcsid[]="$Id: scr.c,v 4.20 2006/12/22 14:28:58 erik Rel $";
#endif
#include <stdio.h>
#include "machine/machine.h"
#include "util.h"
#include "ui/screen.h"
#include "fileio/scr.h"
int ScrRead(const char*filename){FILE*fp;int ret=-1;if((fp=Fopen(filename,"rb"))!=(FILE*)0){if(fread(Machine->screen,(size_t)(PIXEL_LENGTH+ATTR_LENGTH),1,fp)==1){ret=0;}else{Msg(M_ERR,feof(fp)==0?"couldn't read screen dump":"premature end on screen dump");}(void)fclose(fp);ScreenMarkDirtyAll();}return ret;}int ScrWrite(const char*filename){FILE*fp;int ret=-1;if((fp=Fopen(filename,"wb"))!=(FILE*)0){if(fwrite(Machine->screen,(size_t)(PIXEL_LENGTH+ATTR_LENGTH),1,fp)==1){ret=0;}else{Msg(M_PERR,"couldn't write screen dump");}(void)fclose(fp);}return ret;}
