/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifndef _XZX_JOYSTICK_H
#define _XZX_JOYSTICK_H
#ifdef HAVE_LIBJSW
#include <jsw.h>
#endif
typedef enum{JOY_TYPE_SINCLAIR1,JOY_TYPE_SINCLAIR2,JOY_TYPE_CURSOR,JOY_TYPE_KEMPSTON}JoyType;typedef struct _joyData{
#ifdef HAVE_LIBJSW
js_data_struct jsd;
#else
int fd;unsigned int new:1;int centreX;int centreY;
#endif
unsigned int autofire:1;unsigned int juggle:1;unsigned int left:1;unsigned int right:1;unsigned int up:1;unsigned int down:1;unsigned int fire:1;}JoyData;
#define JOY_PRESS(key)	JoyDataP->key = 1
#define JOY_RELEASE(key)	JoyDataP->key = 0
#define JOY_TOGGLE(key)	JoyDataP->key ^= 1
#define JOY_PRESSED(key)	(JoyDataP->key != 0)
extern void JoyInit(void);extern void JoyRead(void);extern JoyData*JoyDataP;
#endif 

