/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifdef XZX_MF
#ifndef lint
static char rcsid[]="$Id: multiface.c,v 4.14 2006/12/22 14:29:01 erik Rel $";
#endif
#include "ui/resource.h"
#include "machine/machine.h"
#include "util.h"
#include "machine/multiface.h"
int Multiface3Paged;void MultifaceInit(void){int checksum;if(MachineLoadRom(CFGGET(mf1Rom),MF1ROM,1)==0){checksum=MachineChecksumRom(MF1ROM,XZX_PAGESIZE/2);switch(checksum){case 32163:break;default:Msg(M_WARN,"unknown Multiface 1 ROM image - checksum %u",checksum);break;}}else{Msg(M_INFO,"Multiface 1 emulation disabled");CFGSET(mf1,-1);}if(MachineLoadRom(CFGGET(mf128Rom),MF128ROM,1)==0){checksum=MachineChecksumRom(MF128ROM,XZX_PAGESIZE/2);switch(checksum){case 46066:break;default:Msg(M_WARN,"unknown Multiface 128 ROM image - checksum %u",checksum);break;}}else{Msg(M_INFO,"Multiface 128 emulation disabled");CFGSET(mf128,-1);}if(MachineLoadRom(CFGGET(mf3Rom),MF3ROM,1)==0){checksum=MachineChecksumRom(MF3ROM,XZX_PAGESIZE/2);switch(checksum){case 46694:break;default:Msg(M_WARN,"unknown Multiface 3 ROM image - checksum %u",checksum);break;}}else{Msg(M_INFO,"Multiface 3 emulation disabled");CFGSET(mf3,-1);}}
#endif 

