/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifndef _XZX_MONITOR_DEBUG_H
#define _XZX_MONITOR_DEBUG_H
#define D_MNEMO	0x00001	
#define D_CPU	0x00002	
#define D_IO	0x00004	
#define D_INTERRUPT	0x00008	
#define D_ILLOPS	0x00010	
#define D_SYSVAR	0x00020	
#define D_IF1	0x00040	
#define D_DISKIF	0x00080	
#define D_FDC	0x00100	
#define D_SOUND	0x00200	
#define D_PRINTER	0x00400	
#define D_JOYSTICK	0x00800	
#define D_NETWORK	0x01000	
#define D_SNAP	0x02000	
#define D_TAPE	0x04000	
#define D_DISK	0x08000	
#define D_X11	0x10000	
extern void DebugZ80(void);
#endif 

