/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
static char rcsid[]="$Id: stubs.c,v 4.14 2006/12/22 14:29:05 erik Rel $";
#include "ui/ui.h"
#include "monitor/breakpoint.h"
unsigned int BreakpointCreate(BreakpointType type,int page,uns16 addr){USED(type);USED(page);USED(addr);(void)UiShowMessage(DIALOG_INFO,"Support for breakpoints is not available\n""in the evaluation version.\n\n""See the file README for details.","Continue",(const char*)0,DIALOG_OK);return BREAKPOINT_INVALID;}void BreakpointSet(unsigned int bpno){USED(bpno);}void BreakpointUnset(unsigned int bpno){USED(bpno);}void BreakpointDestroy(unsigned int bpno){USED(bpno);}unsigned int BreakpointDestroyAll(void){return 0;}Breakpoint*BreakpointRetrieve(unsigned int bpno){USED(bpno);return(Breakpoint*)0;}unsigned int BreakpointLookup(int page,uns16 addr){USED(page);USED(addr);return BREAKPOINT_NOTFOUND;}
