/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifndef _XZX_UI_SCREEN_H
#define _XZX_UI_SCREEN_H
#define DFILE	16384
#define	ROWS	24U
#define	COLS	32U
#define	PIXEL_LENGTH	(ROWS * COLS * 8U)
#define	ATTR_LENGTH	(ROWS * COLS)
#define	ATTR_OFFSET	PIXEL_LENGTH
#define	FLASH	0x80
#define	BRIGHT	0x40
#define	PAPER	0x38
#define	INK	0x07
enum{BLACK,BLUE,RED,MAGENTA,GREEN,CYAN,YELLOW,WHITE,BRIGHT_BLACK,BRIGHT_BLUE,BRIGHT_RED,BRIGHT_MAGENTA,BRIGHT_GREEN,BRIGHT_CYAN,BRIGHT_YELLOW,BRIGHT_WHITE,NCOLORS};extern void ScreenCreateTables(void);extern void ScreenDestroyTables(void);extern void ScreenMarkDirty(uns16);extern void ScreenMarkDirtyAll(void);extern void ScreenDoFlashing(void);extern void ScreenSetBorder(uns8);extern void ScreenRefresh(void);extern void(*ScreenUpdateLine)(unsigned int);
#endif 

