/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifdef HAVE_XPM
#ifndef lint
static char rcsid[]="$Id: splash.c,v 4.11 2006/12/22 14:29:16 erik Rel $";
#endif
#include <Xm/Xm.h>
#include <X11/xpm.h>
#include <Xm/Label.h>
#include <assert.h>
#include "util.h"
#include "ui/xwin.h"
#include "ui/splash.h"
#include "ui/splash.xpm"
static void splashTimeout(XtPointer,XtIntervalId);static Widget splashShell;static Pixmap splashPixmap;void SplashShow(void){Widget label;Arg arg[7];Cardinal i;static XpmAttributes attr;int error,x,y;attr.valuemask=XpmVisual|XpmColormap|XpmDepth;XtVaGetValues(XwinDataP->topLevel,XtNdepth,&attr.depth,XtNvisual,&attr.visual,XtNcolormap,&attr.colormap,XtNull);error=XpmCreatePixmapFromData(XtDisplay(XwinDataP->topLevel),XtWindow(XwinDataP->topLevel),(char**)splash_xpm,&splashPixmap,(Pixmap*)0,&attr);if(error==XpmSuccess){i=0;XtSetArg(arg[i],XmNallowShellResize,True);i++;XtSetArg(arg[i],XmNborderWidth,0);i++;assert(i<=XtNumber(arg));splashShell=XtCreatePopupShell("splash",overrideShellWidgetClass,XwinDataP->topLevel,arg,i);i=0;XtSetArg(arg[i],XmNlabelType,XmPIXMAP);i++;XtSetArg(arg[i],XmNlabelPixmap,splashPixmap);i++;assert(i<=XtNumber(arg));label=XmCreateLabel(splashShell,(char*)"label",arg,i);XtManageChild(label);x=(WidthOfScreen(XtScreen(splashShell))-attr.width)/2;y=(HeightOfScreen(XtScreen(splashShell))-attr.height)/2;XtVaSetValues(splashShell,XmNx,x,XmNy,y,XtNull);XtManageChild(splashShell);XtPopup(splashShell,XtGrabNone);XtAppAddTimeOut(XtWidgetToApplicationContext(splashShell),5000UL,(XtTimerCallbackProc)splashTimeout,XtNull);}else{Msg(M_ERR,XpmGetErrorString(error));}XpmFreeAttributes(&attr);}static void splashTimeout(XtPointer client,XtIntervalId id){USED(client);USED(id);XtUnmanageChild(splashShell);XtPopdown(splashShell);XFreePixmap(XtDisplay(splashShell),splashPixmap);XtDestroyWidget(splashShell);}
#endif 

