/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifndef _XZX_UI_UI_H
#define _XZX_UI_UI_H
#include <Xm/Xm.h>
enum{DIALOG_NONE=0,DIALOG_CANCEL=1,DIALOG_OK=2};enum{DIALOG_ERROR,DIALOG_INFO,DIALOG_MSG,DIALOG_ASK,DIALOG_WARN,DIALOG_WORK};typedef struct _uiSpinbox{Widget form;Widget textfield;const char*format;int value,min,max,offset;unsigned char direction;XtIntervalId timer;}UiSpinbox;extern void UiInit(int);extern int UiEnter(void);extern int UiLeave(void);extern int UiIsActive(void);extern Widget UiCreateFrame(Widget,const char*);extern Widget UiCreateDialog(int*);extern void UiShowDialog(Widget,int*);extern void UiShowAbout(void);extern int UiShowMessage(int,const char*,const char*,const char*,int);extern int UiShowTextFile(const char*,XtCallbackProc,XtPointer);extern void UiShowTextBuffer(const char*,const char*);extern char*UiFileSelector(const char*,int,int*);extern int UiBrowseList(const char*,const char**,int,int);extern void UiFixiateListWidth(Widget,Widget,int);extern Widget UiCreateSpinbox(Widget,const char*,int,int,int,int,XtCallbackProc);extern void UiSpinboxSetValue(Widget,int);extern int UiSpinboxGetValue(Widget);extern void UiHideCursor(Widget);extern void UiUnhideCursor(Widget);extern int UiGrabPointer(Widget);extern void UiUngrabPointer(Widget);
#endif 

