/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifndef lint
static char rcsid[]="$Id: mdr.c,v 4.13 2006/12/22 14:28:57 erik Rel $";
#endif
#include <stdlib.h>
#include <assert.h>
#include "util.h"
#include "machine/if1.h"
#include "fileio/mdr.h"
typedef struct _mdrSector{uns8 hdflag;uns8 hdnumb;char dummy1[2];char hdname[10];uns8 hdchk;uns8 recflg;uns8 recnum;uns8 reclen[2];char recnam[10];uns8 deschk;uns8 data[512];uns8 dchk;}mdrSector;typedef struct _mdrImage{mdrSector sector[CARTRIDGE_SECNUM];uns8 writeprot;}mdrImage;int MdrOpen(Mdrive*mdp,const char*filename){int readonly;size_t size;uns8*mmp;assert(sizeof(mdrSector)==CARTRIDGE_SECSIZE);assert(sizeof(mdrImage)==CARTRIDGE_SIZE);readonly=0;if((mmp=Mmap(filename,1,&readonly,&size))!=(uns8*)-1){if(size==CARTRIDGE_SIZE){Cartridge*cp=&(mdp->cartridge);cp->filename=filename;cp->readonly=((mdrImage*)mmp)->writeprot==1?1:readonly;cp->mmp=mmp;cp->mmsize=size;return 0;}Msg(M_WARN,"invalid cartridge image");Munmap(mmp,size);}return-1;}void MdrClose(Mdrive*mdp){Cartridge*cp=&(mdp->cartridge);Munmap(cp->mmp,cp->mmsize);free((void*)cp->filename);cp->filename=(const char*)0;}
