/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifndef lint
static char rcsid[]="$Id: stubs.c,v 4.19 2006/12/22 14:28:58 erik Rel $";
#endif
#include "fileio/psg.h"
#include "fileio/voc.h"
#include "fileio/wav.h"
#ifdef HAVE_XPM
#include "fileio/xpm.h"
#endif
#include "ui/ui.h"
static void showMessage(const char*);static void showMessage(const char*ext){char buf[256];(void)sprintf(buf,"Support for .%s files is not available\n""in the evaluation version.\n\n""See the file README for details.",ext);(void)UiShowMessage(DIALOG_INFO,buf,"Continue",(const char*)0,DIALOG_OK);}int VocRead(const char*filename){USED(filename);showMessage("VOC");return-1;}int VocWrite(const char*filename){USED(filename);showMessage("VOC");return-1;}
#ifdef HAVE_XPM
int XpmWrite(const char*filename){USED(filename);showMessage("XPM");return-1;}
#endif
int PsgOpen(const char*filename){USED(filename);showMessage("PSG");return-1;}void PsgClose(void){}int WavOpen(const char*filename,unsigned int sample,unsigned int channels,unsigned int bits){USED(filename);USED(sample);USED(channels);USED(bits);showMessage("WAV");return-1;}void WavClose(void){}
