/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifndef _XZX_MACHINE_UPD765A_H
#define _XZX_MACHINE_UPD765A_H
#include "ddrive.h"
typedef enum{UPD765A_CMD_PHASE,UPD765A_EXEC_PHASE,UPD765A_RESULT_PHASE}Upd765APhase;typedef struct _upd765aFdc{Upd765APhase phase;uns8 command[16];uns8 result[16];uns8 databuff[8192];uns8 data,*datap;int remaining;int count;uns8 stm,st0,st1,st2,st3;unsigned int interrupt:1;unsigned int dam:1;unsigned int mt:1;unsigned int d,s;unsigned int numDrives;Ddrive*drives[4];Ddrive*drive;}Upd765aFdc;extern Upd765aFdc*Upd765aNew(void);extern void Upd765aAttachDrive(Upd765aFdc*,Ddrive*);extern void Upd765aReset(Upd765aFdc*);extern uns8 Upd765aControlInByte(Upd765aFdc*);extern void Upd765aDataOutByte(Upd765aFdc*,uns8);extern uns8 Upd765aDataInByte(Upd765aFdc*);
#endif 

