/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifndef _XZX_MONITOR_BREAKPOINT_H
#define _XZX_MONITOR_BREAKPOINT_H
typedef enum{BREAKPOINT_TYPE_PERMANENT,BREAKPOINT_TYPE_TEMPORARY}BreakpointType;typedef struct _breakpoint{unsigned int enabled:1;unsigned int temporary:1;unsigned int hits;int page;uns16 addr;uns8 opcode;char opstr[16];}Breakpoint;
#define BREAKPOINT_NOTFOUND	-1U
#define BREAKPOINT_INVALID	-1U
extern unsigned int BreakpointCreate(BreakpointType,int,uns16);extern void BreakpointDestroy(unsigned int);extern unsigned int BreakpointDestroyAll(void);extern void BreakpointSet(unsigned int);extern void BreakpointUnset(unsigned int);extern unsigned int BreakpointUnsetAll(void);extern Breakpoint*BreakpointRetrieve(unsigned int);extern unsigned int BreakpointLookup(int,uns16);
#endif 

