/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifndef _XZX_UI_POKE_H
#define _XZX_UI_POKE_H
#define MAX_POKE_NAME	31
#define MAX_POKE_VALUES	10
typedef struct _poke{unsigned int page;uns16 addr;uns8 oval;uns8 pval;uns8 sval;unsigned int ask:1;}Poke;typedef struct _pokRecord{char name[MAX_POKE_NAME];int state;unsigned int original:1;int cnt;Poke pokes[MAX_POKE_VALUES];}PokeRecord;typedef enum{POKE_STATE_UNPOKED,POKE_STATE_POKED}PokeState;extern void PokeManager(void);extern void PokeNewTape(const char*,unsigned int);
#endif 

