/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifndef lint
static char rcsid[]="$Id: stubs.c,v 4.16 2006/12/22 14:29:16 erik Rel $";
#endif
#include <Xm/Xm.h>
#include <Xm/ToggleB.h>
#include "ui/ui.h"
#include "ui/poke.h"
#ifndef DEBUG
#include "ui/xcons.h"
#endif
#include "ui/xwin.h"
#include "ui/xwin86.h"
void PokeManager(void){(void)UiShowMessage(DIALOG_INFO,"Support for .POK files is not available\n""in the evaluation version.\n\n""See the file README for details.","Continue",(const char*)0,DIALOG_OK);}
#ifndef DEBUG
void XconsInit(void){}void XconsShow(void){(void)UiShowMessage(DIALOG_INFO,"Console is not available\n""in the evaluation version.\n\n""See the file README for details.","Continue",(const char*)0,DIALOG_OK);XmToggleButtonSetState(XtNameToWidget(XwinDataP->topLevel,"*Console"),False,True);}void XconsHide(void){}
#endif 
#ifdef HAVE_VIDMODE
int Xwin86EnterFullscreenMode(void){(void)UiShowMessage(DIALOG_INFO,"Full screen mode is not available\n""in the evaluation version.\n\n""See the file README for details.","Continue",(const char*)0,DIALOG_OK);return-1;}int Xwin86LeaveFullscreenMode(void){return 0;}
#endif 

