/*********************************************************************************************************************************
 * Copyright (c) Erik Kunze 1995 - 2007
 *
 * This file is a part of the Spectrum emulator package 'XZX-Pro', and may not be distributed.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 ********************************************************************************************************************************/
#ifndef _XZX_UI_WIN_H
#define _XZX_UI_WIN_H
#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include "ui/screen.h"
typedef void(*PutImageFunc)(Display*,Drawable,GC,XImage*,int,int,int,int,unsigned int,unsigned int,Bool);typedef struct _xwinData{Display*display;Widget topLevel;Widget emuWindow;unsigned int hsize,vsize;GC gc;unsigned long colors[NCOLORS];XImage*image;PutImageFunc putImage;int bytesPerPixel,bitsPerPixel;}XwinData;
#define X_PIXELS	(COLS * 8U)
#define Y_PIXELS	(ROWS * 8U)
#define BORDER_PIXELS	32U
#define BORDER_LINES	BORDER_PIXELS
#define VISIBLE_LINES	(BORDER_LINES + Y_PIXELS + BORDER_LINES)
#define XtNull	(XtPointer)0
#define XtAddCallback(w,cb,f,val)	XtAddCallback(w,cb,f,(XtPointer)(val))
extern void XwinInit(int*,const char**);extern void XwinSetScale(int);extern void XwinProcessEvents(void);extern XwinData*XwinDataP;
#endif 

